Skip to main content

Pause Campaign

Pause a campaign that is currently queued or processing. If the campaign was queued but no emails have been sent yet, it reverts to DRAFT status instead.


Endpoint

POST https://api.campaignlark.com/v1/campaigns/:id/pause

Path Parameters

ParameterTypeRequiredDescription
idstringrequiredThe campaign ID.

Sample Request

POST https://api.campaignlark.com/v1/campaigns/64f1a2b3c4d5e6f7a8b9c0d1/pause

Response

Success — 200 OK

{
"error": null,
"data": {
"id": "64f1a2b3c4d5e6f7a8b9c0d1",
"status": "PAUSED"
}
}

The status will be PAUSED if emails have already been sent, or DRAFT if no emails were sent yet.


Errors

StatusMessageCause
400Please provide a campaign ID.id path param is missing.
400We could not find the campaign you are looking for.Campaign not found.
400The campaign cannot be paused. It may not exist or is not in a pausable state.Campaign is not in QUEUED or PROCESSING status.